Skip to main content
Jump to: navigation, search

Tycho/Dependency Resolution Troubleshooting

< Tycho
Revision as of 10:35, 25 September 2014 by T-oberlies.posteo.de (Talk | contribs) (Work in progress)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

This page aims to provide help with understanding and analyzing dependency resolution errors that you may see in a Tycho build.

Error messages from p2

At the core of its dependency resolution, Tycho uses the constraint satisfaction engine of p2, the Eclipse provisioning platform. In case of a dependency resolution failure, Tycho displays the diagnostic message generated by p2. Since p2 is normally used to create or update Eclipse installations, the messages may sound confusing at first, but they contain valuable information. This section provides hints how to read these messages.

Example dependency resolution error message:

[INFO] Resolving dependencies of MavenProject: com.mycorp:com.mycorp.myplugin:0.1.0-SNAPSHOT @ C:\Source\MyProject\com.mycorp.myplugin\pom.xml
[INFO] {osgi.ws=win32, osgi.os=win32, osgi.arch=x86_64, org.eclipse.update.install.features=true}
[ERROR] Cannot resolve project dependencies:
[ERROR]   Software being installed: com.mycorp.myplugin 0.1.0.qualifier
[ERROR]   Missing requirement: com.mycorp.mylib 0.1.0.qualifier requires 'package org.eclipse.someproject [1.8.2,2.0.0)' but it could not be found
[ERROR]   Cannot satisfy dependency: com.mycorp.myplugin 0.1.0.qualifier depends on: bundle com.mycorp.mylib 0.0.0

Details:

  • Resolving dependencies of ...
This line prints the Maven groupId, artifactId, and version and the file system location of the project whose dependencies are being resolved.
  • Software being installed
...

Back to the top